<template>
    <div>
        <breadcrumb-component title="Unidade de medida" :pages="breadPages"/>

        <panel-component title="Editar unidade de medida" length="6">

            <form-unity :formData="formData" :isUpdate="true"></form-unity>

        </panel-component>
    </div>
</template>

<script>
    import FormUnityComponent from './FormUnityComponent.vue'

    export default {
        props: {
            id: {
                require: true
            }
        },

        components: {
            FormUnity: FormUnityComponent
        },

        data() {
            return {
                formData: {
                    id: '',
                    name: '',
                    sigla: '',
                },

                breadPages: [
                    {link: 'dashboard', name: 'Dashboard', active: false},
                    {link: 'unities', name: 'Unidade de medida', active: false},
                    {link: 'unities.edit', name: 'Editar', active: true},
                ],
            }
        },

        created() {
            this.$store.dispatch('loadUnity', this.id)
                .then(response => {
                    this.formData = response.unity
                })
                .catch(() => {
                    this.$snotify.error('Unidade não encontrada', '404')
                    this.$router.push({name: 'unities'})
                })
        }
    }
</script>